## speexdec speexdec |

## Properties

gboolean | enh | Read / Write

## Types and Values

struct | GstSpeexDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstSpeexDec

## Description

This element decodes a Speex stream to raw integer audio.

Speex is a royalty-free

audio codec maintained by the Xiph.org Foundation.

### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=speex.ogg ! oggdemux ! speexdec ! audioconvert ! audioresample ! alsasink

Decode an Ogg/Speex file. To create an Ogg/Speex file refer to the documentation of speexenc.

## Synopsis

### Element Information

plugin | speex
author | Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-speex

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 6000, 48000 ], channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstSpeexDec

    struct GstSpeexDec;

## Property Details

### The `“enh”` property

      “enh”                      gboolean

Enable perceptual enhancement.

Flags: Read / Write

Default value: TRUE

## See Also

speexenc, oggdemux